Vionlabs Scene-Level Video-Text Retrieval API
The Scene Retrieval API offers semantic search capabilities for scenes across video asset(s).
Get Text Embedding
Get a text-retrieval embedding for a given text query. This embedding can be used to perform a vector similarity search against video embeddings.
In: header
Query Parameters
A text query for which to get a text-retrieval embedding.
Version of the model to use
Response Body
curl -X GET "https://loading/results/semantic_scenes/v1/text-embedding?q=car+chase&version=string"{
"version_id": "string",
"embedding": [
0.11,
0.2,
"... (1024 floats total)",
-0.11,
0.99
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Scene Embeddings
Get Vionlabs text-retrieval embeddings for all scenes in a given video item.
These embeddings can be indexed and used to rank and retrieve similar scenes
to a text embedding of a user query.
Use the /text-embedding endpoint to generate a corresponding text query embedding.
If you prefer to generate text embeddings in-house, please contact the Vionlabs team.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Version of the model to use
Response Body
curl -X GET "https://loading/results/semantic_scenes/v1/video-embedding/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"scene_embeddings": [
{
"start_ts": 0,
"end_ts": 0,
"embedding": [
0.11,
0.2,
"... (1024 floats total)",
-0.11,
0.99
]
}
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Gets Vionlabs text-retrieval embeddings result status for the asset
Get Vionlabs text-retrieval embeddings result status for a given video item.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Version of the model to use
Response Body
curl -X GET "https://loading/results/semantic_scenes/v1/status/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Processing Statuses
Get a paginated list of Result Statuses for all video items. Results are ordered by processing time of a video asset, with the most recently updated assets first. This endpoint is useful for monitoring the progress of the semantic video embedding processing.
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valuefalseProduct version code
Response Body
curl -X GET "https://loading/results/semantic_scenes/v1/video-embedding?from_utcdatetime=2024-03-06T20%3A00%3A00&to_utcdatetime=2024-03-07T20%3A00%3A00&page_num=0&page_size=500&include_episodes=false&version=string"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": [
{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}